---
sidebar_label: Page.close
---

# Page.close() method

#### Signature:

```typescript
class Page {
  abstract close(options?: {runBeforeUnload?: boolean}): Promise<void>;
}
```

## Parameters

| Parameter | Type                           | Description  |
| --------- | ------------------------------ | ------------ |
| options   | { runBeforeUnload?: boolean; } | _(Optional)_ |

**Returns:**

Promise&lt;void&gt;
